import { IsNotEmpty, IsOptional, IsString } from 'class-validator'

export class CreateAnnouncementDto {
  @IsNotEmpty()
  @IsString()
  title: any

  @IsOptional()
  @IsString()
  intro?: string

  @IsNotEmpty()
  @IsString()
  paragraph1: string

  @IsNotEmpty()
  @IsString()
  paragraph2: string

  @IsOptional()
  @IsString()
  quote?: string

  @IsNotEmpty()
  @IsString()
  regards: string
}
