import { Injectable } from '@nestjs/common'
import { InjectModel } from '@nestjs/mongoose'
import { Model } from 'mongoose'
import { User, UserDocument } from 'src/schemas/user.schema'
import { GeneralSearchDto } from './dto/general-search.dto'
import { ProfileAdvancedSearchDto } from './dto/advanced-search-profile.dto'
import { PaginationDto } from 'src/common/dto/pagination.dto'
import { Event, EventDocument } from 'src/schemas/event.schema'
import { EventAdvancedSearchDto } from './dto/advanced-search-event.dto'

@Injectable()
export class SearchService {
  constructor(
    // @InjectModel(User.name) private userModel: Model<User>, TODO DOESNT WORK
    // @InjectModel(Event.name) private eventModel: Model<Event>,
  ) {}

  async advancedSearchProfile(
    pagination: PaginationDto,
    body: ProfileAdvancedSearchDto,
  ) {
    let profiles: UserDocument[]
    // const query = this.userModel.find(body)
    //
    // if (pagination.page && pagination.size) {
    //   profiles = await query
    //     .skip(pagination.size * pagination.page)
    //     .limit(pagination.size)
    // }
    //
    // profiles = await query
    //
    return profiles
  }

  async advancedSearchEvent(
    pagination: PaginationDto,
    body: EventAdvancedSearchDto,
  ) {
    // let events: EventDocument[]
    // const query = this.eventModel.find(body)
    //
    // if (pagination.page && pagination.size) {
    //   events = await query
    //     .skip(pagination.size * pagination.page)
    //     .limit(pagination.size)
    // }
    //
    // events = await query
    //
    // return events
  }

  async generalSearchProfile(queryParams: GeneralSearchDto) {
    // todo
  }

  async generalSearchEvent(queryParams: GeneralSearchDto) {
    // todo
  }
}
