import { IsNotEmpty, IsString } from 'class-validator'

export class UpdatePasswordDto {
  @IsString()
  @IsNotEmpty()
  id: number

  @IsString()
  @IsNotEmpty()
  oldPassword: string

  @IsString()
  @IsNotEmpty()
  newPassword: string
}
