import { Prop, Schema } from '@nestjs/mongoose'

// export type Announcement = {
//   id: string
//   title: any
//   intro?: string
//   paragraph1: string
//   paragraph2: string
//   quote?: string
//   regards: string
// }

@Schema()
export class Announcement {
  @Prop({ required: true })
  name: string

  @Prop()
  title: any

  @Prop()
  intro?: string

  @Prop()
  paragraph1: string

  @Prop()
  paragraph2: string

  @Prop()
  quote?: string

  @Prop()
  regards: string
}
